#pragma once
#include "pandaInpCore.h"
#include <string>

/**
  inp文件导入类
*/
class PANDAINPCORE_API CivInpImpoter
{
public:
	CivInpImpoter();
	~CivInpImpoter();

	/**
	 * @brief 读取和解析inp文件
	 * @param [inppath] inp文件路径
	 */
	bool load(const std::string& inppath);

	bool import();

private:
	// 
	int handleline(int linenum, char* text);

};
